import { T as TableConfig } from './table-config-5c917348.js';
import { D as DvnAppViewConfig } from './view-config-39fd369a.js';

class CompositeViewLinearConfig extends DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(CompositeViewLinearConfig.prototype), json);
    model.table = TableConfig.decode(model.table);
    return model;
  }
}

export { CompositeViewLinearConfig as C };
